<?php

namespace App\Entities\Pagamento;

use App\Utils\Entity;
use App\Entities\ProcedimentoExame\PagamentoFormBuilder;

class PagamentoForm extends Entity {
	
	protected $comanda_id;
	protected $comanda_itens;
	protected $valor_total;
	protected $formas_pagamento;
	protected $card_credito;
	protected $card_debito;
	protected $boleto;
	protected $pix;
	
	public static function builder () {
		return new PagamentoFormBuilder();
	}
	
	/**
	 * @return mixed
	 */
	public function getComanda_id() {

		return $this->comanda_id;
	}


	/**
	 * @return mixed
	 */
	public function getComanda_itens() {

		return $this->comanda_itens;
	}


	/**
	 * @return mixed
	 */
	public function getValor_total() {

		return $this->valor_total;
	}


	/**
	 * @return mixed
	 */
	public function getFormas_pagamento() {

		return $this->formas_pagamento;
	}


	/**
	 * @return mixed
	 */
	public function getCard_credito() {

		return $this->card_credito;
	}


	/**
	 * @return mixed
	 */
	public function getCard_debito() {

		return $this->card_debito;
	}


	/**
	 * @return mixed
	 */
	public function getBoleto() {

		return $this->boleto;
	}


	/**
	 * @return mixed
	 */
	public function getPix() {

		return $this->pix;
	}


	/**
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id) {

		$this->comanda_id = $comanda_id;
	}


	/**
	 * @param mixed $comanda_itens
	 */
	public function setComanda_itens($comanda_itens) {

		$this->comanda_itens = $comanda_itens;
	}


	/**
	 * @param mixed $valor_total
	 */
	public function setValor_total($valor_total) {

		$this->valor_total = $valor_total;
	}


	/**
	 * @param mixed $formas_pagamento
	 */
	public function setFormas_pagamento($formas_pagamento) {

		$this->formas_pagamento = $formas_pagamento;
	}


	/**
	 * @param mixed $card_credito
	 */
	public function setCard_credito($card_credito) {

		$this->card_credito = $card_credito;
	}


	/**
	 * @param mixed $card_debito
	 */
	public function setCard_debito($card_debito) {

		$this->card_debito = $card_debito;
	}


	/**
	 * @param mixed $boleto
	 */
	public function setBoleto($boleto) {

		$this->boleto = $boleto;
	}


	/**
	 * @param mixed $pix
	 */
	public function setPix($pix) {

		$this->pix = $pix;
	}


	
}

